CVC2/CVV2/CSC Fetch API

This API is used to retrieve the Card verification value (CVV) data. The Credit+ Issuing system receives, validates and processes the request. If the request is successful, the cardholder will receive the CVV data in response. If the request fails, the system returns the corresponding error code.

NOTE:

Customization1. The API, if sent with cardNumberAlias (CNA), will internally fetch the corresponding associated device for further processing only if DEVICE _STATUS_CODE = NORMAL (0) OR (DEVICE_STATUS_CODE = UPGRADE (9) AND UPGRADE_STATUS = 1).

2. Either deviceNumber or cardNumberAlias parameter’s value must be provided to process the request. However, if both are received in request then the system will not validate if the cardNumberAliasislinked to that particular device. The system processesthe request based on the device number itself.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
2010Success
400CNA001Bank Does Not Exists
400CNA002Card Number Alias Functionality is not applicable forthisInstitution.
400CNA003Record does not exist for the given details
400CNA005Multiple device numbers are active for given details
400CNA006Error while fetching device details
400991Card status is not normal
400991Network code not found
400803Error validating CVV
400994Exception occurred during Card value fetch
400-1Device details invalid
400-1Error occurred during CVV fetch
400-1Device configuration invalid
400997Device Number and Card Number Alias fields are empty. At least one of the two values must be provided.
400997Product Type field is invalid.
400997Program Code field should only contain [A-Z 0-9] and underscore and must start and end with alphanumeric character.
400997Program Code field value must have max length 10.
400997Device Plan Code field should only contain [A-Z 0-9] and underscore and must start and end with alphanumeric character.
400997Device Plan Code field value must have max length 10.
400997Only alphanumeric characters and special characters [_!'()*+,-.] are allowed.
400997Card Number Alias field value must have max length 24.
400997Device Number is invalid. Expected field length = 24
400997Card Expiry Date field is mandatory.
400997Card Expiry Date is invalid. Expected field length = 4
400997Card Expiry Date format is invalid
400998Invalid Device Number
400-1Device details are not valid
400997Device Number is of invalid format
500913Backward offset time limit violated.
400994Invalid Request - Unrecognized field.
400988Encryption type Not Supported.
400913Forward offset time limit violated.
400994Invalid Encryption-Algorithm header value
400994Invalid Encryption Request Parameters
400994Cryptography error
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
Headers
string
^[a-zA-Z0-9-]{1,50}$

API Consumer must share Correlation-ID in HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate a universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string
enum
required

API Consumer must share Encryption-Algorithm as a key (value: DES168) in HTTP header in order to encrypt the API requests.

Allowed:
string

API Consumer can share Source in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json